package com.huimv.environ.eco.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author newspaper
 * @since 2024-05-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_month_ele")
public class SysMonthEle implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("id")
    private String id;

    @TableField("value")
    private String value;

    @TableField("create_time")
    private Date createTime;

    @TableField("room_id")
    private Integer roomId;

    @TableId(value = "month_ele_id", type = IdType.AUTO)
    private Integer monthEleId;

    @TableField("increase_value")
    private String increaseValue;

    @TableField("farm_id")
    private Integer farmId;


}
