package com.huimv.environ.eco.controller;


import com.huimv.common.utils.Result;
import com.huimv.environ.eco.service.ISysMonthEleService;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author newspaper
 * @since 2024-05-15
 */
@RestController
@RequestMapping("/sys-month-ele")
public class SysMonthEleController {
    @Autowired
    private ISysMonthEleService sysMonthEleService;

    @PostMapping("/listEle")
    public Result listEle(@RequestBody Map<String, String> map){
        return sysMonthEleService.listEle(map);
    }

}
